
// servo range: 1000-2000us

double teller;
int b, d;
double F = 290;
double T = 1/F; // 0.0034 sec
double t = 0;
double offsett = -75; // servo
double fsignal = 0.2; // Hz

void setup()
{
  pinMode(3, OUTPUT);
  teller = 0;
  delay(1000);
  Serial.begin(9600);
  delay(1000);
}


void loop() // en runde tar T us eller 3.4483e+03us
{
  teller++; // Teller antall T i us
  
  t = teller * T;
  d = 200.0 * sin(2*PI*fsignal*t) + 1500 + offsett;
  //v = (long int)teller % (long int)800 -400 + 2200-800;

  PORTD = PORTD | B00001000; //digitalWrite(3, 1);
  delayMicroseconds(d);

  PORTD = PORTD & B11110111; //digitalWrite(3, 0);
  delayMicroseconds(1000000*T - d);
}
